petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSErrorWeightedENormInfinity

compute a weighted infinity error norm based on supplied absolute and relative tolerances Collective on TS

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSErrorWeightedENormInfinity(TS ts,Vec E,Vec U,Vec Y,PetscReal *norm,PetscReal *norma,PetscReal *normr)

### Input Arguments

| ts | - time stepping context
| E | - error vector
| U | - state vector, usually ts->vec_sol
| Y | - state vector, previous time step

### Output Arguments

| norm | - weighted norm, a value of 1.0 means that the error matches the tolerances
| norma | - weighted norm based on the absolute tolerance, a value of 1.0 means that the error matches the tolerances
| normr | - weighted norm based on the relative tolerance, a value of 1.0 means that the error matches the tolerances

### See Also

TSErrorWeightedENorm(), TSErrorWeightedENorm2()

### Level

developer

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages